
jQuery(function($) {
	
var speed = 1500; // フェードインスピード
$('.intro').each(function () {
	$(this).stop().animate({
		opacity: 1
	}, speed);
});

/* スマホとタブレットの時はスライドメニュー */
  var windowWidth = $(window).width();
  var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */
  
  if (windowWidth <= windowST) {
	$('#right-menu').sidr({
	  name: 'sidr-right',
	  side: 'right' // By default
	});
	$('div#content, div#sidr-right').click(function(){
		$.sidr('close','sidr-right');
	});
	$('#right-menu2').sidr({
	  name: 'sidr-right2',
	  side: 'right' // By default
	});
	$('div#content, div#sidr-right2').click(function(){
		$.sidr('close','sidr-right2');
	});
  } else {
	 $('#right-menu').hide();
	 $('#right-menu2').hide();
  }
 

/* スマホとタブレットの時はスライドメニュー リサイズしたとき */  
$(window).resize(function() {
	var windowWidth = $(window).width();
	var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */

	if (windowWidth <= windowST) {
		$('#right-menu').show();
		$('#right-menu').sidr({
		  name: 'sidr-right',
		  side: 'right' // By default
		});
		$('#right-menu2').show();
		$('#right-menu2').sidr({
		  name: 'sidr-right2',
		  side: 'right' // By default
		});
	} else {
		$('#right-menu').hide();
		$('#sidr-right').removeClass('sidr');
		$('#right-menu2').hide();
		$('#sidr-right2').removeClass('sidr');
	}

});	

var headerHight = 70; //ヘッダの高さ
$('a[href^=#]').click(function(){
	var windowWidth = $(window).width();
	var windowST = 768 - 20;	/* スマホとタブレットの幅 - スクロールバー幅 */

	if (windowWidth > windowST) {
		var href= $(this).attr("href");
		var target = $(href == "#" || href == "" ? 'html' : href);
		var position = target.offset().top-headerHight; //ヘッダの高さ分位置をずらす
		$("html, body").animate({scrollTop:position}, 550, "swing");
		return false;
	}
});

$(window).scroll(function(){
	var scrolltop = $(window).scrollTop();
	if (scrolltop>=100) {
		$(".inner-nav").addClass("sticky");
	} else {
		$(".inner-nav").removeClass("sticky");
	}

    var h = $(window).height(); // ウィンドウの高さを取得
	var speed = 300; // フェードインスピード
	$('.box_outer, .slow').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ
		var thisShow = thisTop - h / 1.2; //出現位置
		if (scrolltop >= thisShow) {
			$(this).stop().animate({
				opacity: 1
			}, speed);
		} else {
			$(this).stop().animate({
				opacity: 0
			}, speed);
		}
	});
	
	//var box1Top = $('.box1').offset().top; //box1コンテンツの高さ
	//var box2Top = $('.box2').offset().top; //box3コンテンツの高さ
	//var box3Top = $('.box3').offset().top; //box3コンテンツの高さ
	//var box4Top = $('.box4').offset().top; //box3コンテンツの高さ
	//var box5Top = $('.box5').offset().top; //box3コンテンツの高さ
	var box6Top = $('.box6').offset().top; //box6コンテンツの高さ
	var box7Top = $('.box7').offset().top; //box7コンテンツの高さ
	var box8Top = $('.box8').offset().top; //box8コンテンツの高さ
	//var box1Show = box1Top - h; //出現位置
	//var box2Show = box2Top - h; //出現位置
	//var box3Show = box3Top - h; //出現位置
	//var box4Show = box4Top - h; //出現位置
	//var box5Show = box5Top - h; //出現位置
	var box6Show = box6Top - h; //出現位置
	var box7Show = box7Top - h; //出現位置
	var box8Show = box8Top - h; //出現位置

//	if ((scrolltop >= box1Show && scrolltop < box3Show) || (scrolltop >= box6Show && scrolltop < box7Show)) {
//		$(".frame1").addClass("bg-in");
//		$(".frame1").removeClass("bg-out");
//	} else {
//		$(".frame1").removeClass("bg-in");
//		$(".frame1").addClass("bg-out");
//	}
//	if ((scrolltop >= box3Show && scrolltop < box4Show) || (scrolltop >= box8Show)) {
//		$(".frame3").addClass("bg-in05");
//		$(".frame3").removeClass("bg-out");
//	} else {
//		$(".frame3").removeClass("bg-in05");
//		$(".frame3").addClass("bg-out");
//	}
    
    if (scrolltop >= box6Show && scrolltop < box7Show) {
		$(".frame6").addClass("bg-in");
		$(".frame6").removeClass("bg-out");
	} else {
		$(".frame6").removeClass("bg-in");
		$(".frame6").addClass("bg-out");
	}
	if (scrolltop >= box8Show) {
		$(".frame8").addClass("bg-in05");
		$(".frame8").removeClass("bg-out");
	} else {
		$(".frame8").removeClass("bg-in05");
		$(".frame8").addClass("bg-out");
	}
	
	$('.paragraph2').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ
		var thisShow = thisTop - h / 3; //出現位置	

		if (scrolltop >= thisShow) {
			$('.box6').css('-webkit-transition', 'background-color 1s linear');
			$('.box6').css('background-color', '#ffffff');
		} else {
			$('.box6').css('background-color', 'rgba(255, 255, 255, 0.08)');
		}	
	});
	
	$('.project1').each(function () {
		var thisTop = $(this).offset().top; //コンテンツの高さ

		if (scrolltop >= thisTop) {
			$('.box7').css('background-color', '#ffffff');
		} else {
			$('.box7').css('background-color', 'transparent');
		}	
	});

	
	var value = $(window).scrollTop(); //スクロールの値を取得	
	$('#bg-hack').css('top', -(value / 6));
	$('.intro p').css('margin', -(value / 2));
	//$('.box2').css('top', -(value / 6));
	//$('.box4').css('top', -(value / 6));
	
});
});



	